import { createAggregatedClient } from "@smithy/smithy-client";
import { AutoScalingClient } from "./AutoScalingClient";
import { AttachInstancesCommand, } from "./commands/AttachInstancesCommand";
import { AttachLoadBalancersCommand, } from "./commands/AttachLoadBalancersCommand";
import { AttachLoadBalancerTargetGroupsCommand, } from "./commands/AttachLoadBalancerTargetGroupsCommand";
import { AttachTrafficSourcesCommand, } from "./commands/AttachTrafficSourcesCommand";
import { BatchDeleteScheduledActionCommand, } from "./commands/BatchDeleteScheduledActionCommand";
import { BatchPutScheduledUpdateGroupActionCommand, } from "./commands/BatchPutScheduledUpdateGroupActionCommand";
import { CancelInstanceRefreshCommand, } from "./commands/CancelInstanceRefreshCommand";
import { CompleteLifecycleActionCommand, } from "./commands/CompleteLifecycleActionCommand";
import { CreateAutoScalingGroupCommand, } from "./commands/CreateAutoScalingGroupCommand";
import { CreateLaunchConfigurationCommand, } from "./commands/CreateLaunchConfigurationCommand";
import { CreateOrUpdateTagsCommand, } from "./commands/CreateOrUpdateTagsCommand";
import { DeleteAutoScalingGroupCommand, } from "./commands/DeleteAutoScalingGroupCommand";
import { DeleteLaunchConfigurationCommand, } from "./commands/DeleteLaunchConfigurationCommand";
import { DeleteLifecycleHookCommand, } from "./commands/DeleteLifecycleHookCommand";
import { DeleteNotificationConfigurationCommand, } from "./commands/DeleteNotificationConfigurationCommand";
import { DeletePolicyCommand, } from "./commands/DeletePolicyCommand";
import { DeleteScheduledActionCommand, } from "./commands/DeleteScheduledActionCommand";
import { DeleteTagsCommand } from "./commands/DeleteTagsCommand";
import { DeleteWarmPoolCommand, } from "./commands/DeleteWarmPoolCommand";
import { DescribeAccountLimitsCommand, } from "./commands/DescribeAccountLimitsCommand";
import { DescribeAdjustmentTypesCommand, } from "./commands/DescribeAdjustmentTypesCommand";
import { DescribeAutoScalingGroupsCommand, } from "./commands/DescribeAutoScalingGroupsCommand";
import { DescribeAutoScalingInstancesCommand, } from "./commands/DescribeAutoScalingInstancesCommand";
import { DescribeAutoScalingNotificationTypesCommand, } from "./commands/DescribeAutoScalingNotificationTypesCommand";
import { DescribeInstanceRefreshesCommand, } from "./commands/DescribeInstanceRefreshesCommand";
import { DescribeLaunchConfigurationsCommand, } from "./commands/DescribeLaunchConfigurationsCommand";
import { DescribeLifecycleHooksCommand, } from "./commands/DescribeLifecycleHooksCommand";
import { DescribeLifecycleHookTypesCommand, } from "./commands/DescribeLifecycleHookTypesCommand";
import { DescribeLoadBalancersCommand, } from "./commands/DescribeLoadBalancersCommand";
import { DescribeLoadBalancerTargetGroupsCommand, } from "./commands/DescribeLoadBalancerTargetGroupsCommand";
import { DescribeMetricCollectionTypesCommand, } from "./commands/DescribeMetricCollectionTypesCommand";
import { DescribeNotificationConfigurationsCommand, } from "./commands/DescribeNotificationConfigurationsCommand";
import { DescribePoliciesCommand, } from "./commands/DescribePoliciesCommand";
import { DescribeScalingActivitiesCommand, } from "./commands/DescribeScalingActivitiesCommand";
import { DescribeScalingProcessTypesCommand, } from "./commands/DescribeScalingProcessTypesCommand";
import { DescribeScheduledActionsCommand, } from "./commands/DescribeScheduledActionsCommand";
import { DescribeTagsCommand, } from "./commands/DescribeTagsCommand";
import { DescribeTerminationPolicyTypesCommand, } from "./commands/DescribeTerminationPolicyTypesCommand";
import { DescribeTrafficSourcesCommand, } from "./commands/DescribeTrafficSourcesCommand";
import { DescribeWarmPoolCommand, } from "./commands/DescribeWarmPoolCommand";
import { DetachInstancesCommand, } from "./commands/DetachInstancesCommand";
import { DetachLoadBalancersCommand, } from "./commands/DetachLoadBalancersCommand";
import { DetachLoadBalancerTargetGroupsCommand, } from "./commands/DetachLoadBalancerTargetGroupsCommand";
import { DetachTrafficSourcesCommand, } from "./commands/DetachTrafficSourcesCommand";
import { DisableMetricsCollectionCommand, } from "./commands/DisableMetricsCollectionCommand";
import { EnableMetricsCollectionCommand, } from "./commands/EnableMetricsCollectionCommand";
import { EnterStandbyCommand, } from "./commands/EnterStandbyCommand";
import { ExecutePolicyCommand, } from "./commands/ExecutePolicyCommand";
import { ExitStandbyCommand } from "./commands/ExitStandbyCommand";
import { GetPredictiveScalingForecastCommand, } from "./commands/GetPredictiveScalingForecastCommand";
import { PutLifecycleHookCommand, } from "./commands/PutLifecycleHookCommand";
import { PutNotificationConfigurationCommand, } from "./commands/PutNotificationConfigurationCommand";
import { PutScalingPolicyCommand, } from "./commands/PutScalingPolicyCommand";
import { PutScheduledUpdateGroupActionCommand, } from "./commands/PutScheduledUpdateGroupActionCommand";
import { PutWarmPoolCommand } from "./commands/PutWarmPoolCommand";
import { RecordLifecycleActionHeartbeatCommand, } from "./commands/RecordLifecycleActionHeartbeatCommand";
import { ResumeProcessesCommand, } from "./commands/ResumeProcessesCommand";
import { RollbackInstanceRefreshCommand, } from "./commands/RollbackInstanceRefreshCommand";
import { SetDesiredCapacityCommand, } from "./commands/SetDesiredCapacityCommand";
import { SetInstanceHealthCommand, } from "./commands/SetInstanceHealthCommand";
import { SetInstanceProtectionCommand, } from "./commands/SetInstanceProtectionCommand";
import { StartInstanceRefreshCommand, } from "./commands/StartInstanceRefreshCommand";
import { SuspendProcessesCommand, } from "./commands/SuspendProcessesCommand";
import { TerminateInstanceInAutoScalingGroupCommand, } from "./commands/TerminateInstanceInAutoScalingGroupCommand";
import { UpdateAutoScalingGroupCommand, } from "./commands/UpdateAutoScalingGroupCommand";
const commands = {
    AttachInstancesCommand,
    AttachLoadBalancersCommand,
    AttachLoadBalancerTargetGroupsCommand,
    AttachTrafficSourcesCommand,
    BatchDeleteScheduledActionCommand,
    BatchPutScheduledUpdateGroupActionCommand,
    CancelInstanceRefreshCommand,
    CompleteLifecycleActionCommand,
    CreateAutoScalingGroupCommand,
    CreateLaunchConfigurationCommand,
    CreateOrUpdateTagsCommand,
    DeleteAutoScalingGroupCommand,
    DeleteLaunchConfigurationCommand,
    DeleteLifecycleHookCommand,
    DeleteNotificationConfigurationCommand,
    DeletePolicyCommand,
    DeleteScheduledActionCommand,
    DeleteTagsCommand,
    DeleteWarmPoolCommand,
    DescribeAccountLimitsCommand,
    DescribeAdjustmentTypesCommand,
    DescribeAutoScalingGroupsCommand,
    DescribeAutoScalingInstancesCommand,
    DescribeAutoScalingNotificationTypesCommand,
    DescribeInstanceRefreshesCommand,
    DescribeLaunchConfigurationsCommand,
    DescribeLifecycleHooksCommand,
    DescribeLifecycleHookTypesCommand,
    DescribeLoadBalancersCommand,
    DescribeLoadBalancerTargetGroupsCommand,
    DescribeMetricCollectionTypesCommand,
    DescribeNotificationConfigurationsCommand,
    DescribePoliciesCommand,
    DescribeScalingActivitiesCommand,
    DescribeScalingProcessTypesCommand,
    DescribeScheduledActionsCommand,
    DescribeTagsCommand,
    DescribeTerminationPolicyTypesCommand,
    DescribeTrafficSourcesCommand,
    DescribeWarmPoolCommand,
    DetachInstancesCommand,
    DetachLoadBalancersCommand,
    DetachLoadBalancerTargetGroupsCommand,
    DetachTrafficSourcesCommand,
    DisableMetricsCollectionCommand,
    EnableMetricsCollectionCommand,
    EnterStandbyCommand,
    ExecutePolicyCommand,
    ExitStandbyCommand,
    GetPredictiveScalingForecastCommand,
    PutLifecycleHookCommand,
    PutNotificationConfigurationCommand,
    PutScalingPolicyCommand,
    PutScheduledUpdateGroupActionCommand,
    PutWarmPoolCommand,
    RecordLifecycleActionHeartbeatCommand,
    ResumeProcessesCommand,
    RollbackInstanceRefreshCommand,
    SetDesiredCapacityCommand,
    SetInstanceHealthCommand,
    SetInstanceProtectionCommand,
    StartInstanceRefreshCommand,
    SuspendProcessesCommand,
    TerminateInstanceInAutoScalingGroupCommand,
    UpdateAutoScalingGroupCommand,
};
export class AutoScaling extends AutoScalingClient {
}
createAggregatedClient(commands, AutoScaling);
