import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { de_DeleteAutoScalingGroupCommand, se_DeleteAutoScalingGroupCommand } from "../protocols/Aws_query";
export { $Command };
export class DeleteAutoScalingGroupCommand extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("AutoScaling_2011_01_01", "DeleteAutoScalingGroup", {})
    .n("AutoScalingClient", "DeleteAutoScalingGroupCommand")
    .f(void 0, void 0)
    .ser(se_DeleteAutoScalingGroupCommand)
    .de(de_DeleteAutoScalingGroupCommand)
    .build() {
}
